package com.hzya.frame.sysnew.messageManageLog.entity;

/**
 * 日志 status枚举类
 */
public enum SysMessageManageLogStatusEnum {

    UNSEND("1","待发送"),
    SENDING("2","发送中"),
    SUCCESS("3","发送成功"),
    FAIL("4","发送成功");


    //类型
    private String type;
    //值
    private String value;

    SysMessageManageLogStatusEnum(String type,String value){
        this.type=type;
        this.value=value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static String statusGetValue(String type){
        for (SysMessageManageLogStatusEnum payState : SysMessageManageLogStatusEnum.values()){
            if(payState.getType()==type||payState.getType().equals(type)){
                return payState.getValue().toString();
            }
        }
        return null;
    }
}
